#
# spec file for package iproute2 (Version 2.6.15)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db db-devel diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel ghostscript-fonts-std ghostscript-library ghostscript-x11 glib glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd latex-ucs less libacl libattr libcom_err libgcc libgimpprint libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client opensp openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed sgmltool strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           iproute2
BuildRequires:  db-devel ghostscript-fonts-std ghostscript-x11 glib libpng-devel libtiff-devel sgmltool te_ams te_latex xorg-x11-devel
%define dateversion 060110
License:        GPL
Group:          Productivity/Networking/Routing
Provides:       iproute 
Autoreqprov:    on
Version:        2.6.15
Release:        14.4
Summary:        Advanced Routing
URL:            http://developer.osdl.org/dev/iproute2/
Source0:        %name-%version-%dateversion.tar.bz2
Source1:        libnetlink.3
Patch0:         %name-2.6.15-pdfdoc.diff
Patch1:         %name-2.6.15-flushcheckuid.diff
Patch2:         %name-2.6.15-fragtimeout.diff
Patch3:         %name-2.6.14-nostrip.diff
Patch4:         %name-tc-flex-fixes.patch
Patch5:         %name-resolve-address.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%package -n libnlink
Summary:        A Higher Level Interface to the Netlink Service
Group:          Productivity/Networking/Routing
Provides:       libnetlink

%description -n libnlink
libnetlink provides a higher level interface to rtnetlink(7).



Authors:
--------
    Alexey Kuznetsov <kuznet at ms2 dot inr dot ac dot ru>
    Stephem Hemminger <shemminger at osdl dot org>


%description
This package provides the tools ip, tc, and rtmon needed to use the new
and advanced routing options of the Linux kernel. The SUSE Linux
distribution has used this package for network setup since SuSE Linux
8.0.



Authors:
--------
    Alexey Kuznetsov <kuznet at ms2 dot inr dot ac dot ru>
    Stephem Hemminger <shemminger at osdl dot org>

%prep
%setup -q -n %name-%version-%dateversion
%patch
%patch1
%patch2
%patch3 -p1
%patch4
%patch5
find . -name *.orig -print0 | xargs -r0 rm -v

%build
make CCOPTS="-D_GNU_SOURCE $RPM_OPT_FLAGS -Wstrict-prototypes"
cd doc
make pdf

%install
install -d $RPM_BUILD_ROOT/{etc/,sbin/,usr/{sbin,share/man/man{3,8}}}
install -d $RPM_BUILD_ROOT/{/usr/include,%_libdir}
make install DESTDIR=$RPM_BUILD_ROOT
install $RPM_SOURCE_DIR/libnetlink.3 $RPM_BUILD_ROOT/usr/share/man/man3
install lib/libnetlink.a $RPM_BUILD_ROOT/%_libdir
install include/libnetlink.h $RPM_BUILD_ROOT/usr/include
mv $RPM_BUILD_ROOT/usr/sbin/ip $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/bin
ln -sf /sbin/ip $RPM_BUILD_ROOT/bin/ip
rm $RPM_BUILD_ROOT/usr/sbin/ifcfg
rm -rf $RPM_BUILD_ROOT/usr/share/doc/iproute2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/api-ip6-flowlabels.pdf doc/arpd.pdf doc/ip-cref.pdf README.iproute2+tc
%doc doc/ip-tunnels.pdf doc/nstat.pdf doc/rtstat.pdf doc/ss.pdf README
%doc RELNOTES ChangeLog examples/ README.decnet ip/ifcfg ip/routef ip/routel
/usr/sbin/*
/sbin/*
/bin/ip
%_mandir/man8/*
%dir /etc/iproute2
%config(noreplace) /etc/iproute2/rt_dsfield
%config(noreplace) /etc/iproute2/rt_protos
%config(noreplace) /etc/iproute2/rt_scopes
%config(noreplace) /etc/iproute2/rt_realms
%config(noreplace) /etc/iproute2/rt_tables
%config(noreplace) /etc/iproute2/ematch_map
/usr/lib/tc

%files -n libnlink
%defattr(-,root,root)
%attr(644,root,root) /usr/include/*
%_mandir/man3/libnetlink*
%_libdir/lib*

%changelog -n iproute2
* Fri May 26 2006 - schwab@suse.de
- Fix crash while resolving addresses.
* Mon Apr 03 2006 - hvogel@suse.de
- fix flex input file to use uppercase STR to avoid conflicts.
  This prevented tc from being build [#162931]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - mrueckert@suse.de
- update to version 2.6.15-060110
* Tue Nov 08 2005 - mmj@suse.de
- update to version 051107
* Mon Oct 24 2005 - ro@suse.de
- fix filelist for libnlink
* Thu Oct 20 2005 - mmj@suse.de
- update to version 051007
- fix buffer overflow in iproute.c [#129415] (thanks Richard, Marcus)
- don't strip stuff
* Wed Aug 17 2005 - cthiel@suse.de
- update to version 050816 [#105087]
* Sat Aug 06 2005 - dmueller@suse.de
- add /bin/ip symlink (#102513)
* Wed Jun 15 2005 - meissner@suse.de
- use RPM_OPT_FLAGS
* Mon May 09 2005 - mmj@suse.de
- Update to 2.6.11-050330
* Thu Feb 10 2005 - ro@suse.de
- remove dropped tetex subpackages from nfb
* Fri Feb 04 2005 - mmj@suse.de
- Update to 2.6.10-ss050124
* Tue Dec 07 2004 - mmj@suse.de
- Don't trust that the kernel and do our own family check [#48600]
* Sun Oct 24 2004 - mmj@suse.de
- Clean up spec file a bit
- Update to new snapshot including even more of our patches
* Tue Oct 12 2004 - mmj@suse.de
- Update to 2.6.9 including some of our patches
* Tue Aug 17 2004 - mmj@suse.de
- Make ip print correct type when printing stats [#42589]
* Wed Apr 21 2004 - mmj@suse.de
- Fix bufferoverflow in nstat [#39179]
* Fri Apr 16 2004 - kukuk@suse.de
- Fix compiling with 2.6.5 kernel headers
- Remove backup files
* Wed Apr 14 2004 - mmj@suse.de
- Don't remove buildroot before install
* Wed Mar 17 2004 - mmj@suse.de
- No executables below /usr/include [#36342]
* Wed Mar 10 2004 - mmj@suse.de
- Olaf Kirch fixed the kernel, so remove the fix for [#35288]
* Wed Mar 03 2004 - ak@suse.de
- Fix hang in ip addr flush (#35288)
* Wed Jan 07 2004 - mmj@suse.de
- ifstat should store it's history in /var/tmp not /tmp
* Mon Nov 10 2003 - mmj@suse.de
- Add more man-pages [#32981]
* Wed Oct 15 2003 - mmj@suse.de
- Don't build as root
* Mon Aug 11 2003 - mmj@suse.de
- Add all the pdf documentation [#28637]
* Thu Jun 12 2003 - kukuk@suse.de
- Fix filelist
* Wed Jun 04 2003 - kukuk@suse.de
- Don't use include-glibc directory
- Fix arpd to compile with db4
* Tue May 13 2003 - mmj@suse.de
- Remove files we don't package
* Mon May 12 2003 - mmj@suse.de
- Add glib-include from newer iputils, and change a kernel-include
  to make it build
* Tue Feb 11 2003 - ug@suse.de
- patch for HTB support applied since 2.4.20 supports it
* Fri Feb 07 2003 - mmj@suse.de
- Make the man tar-ball not contain gzipped man-pages, it's already
  compressed once.
- Apply patch from Andi Kleen for fragtimeout functionality
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
* Sun Oct 20 2002 - mmj@suse.de
- Add manpages, thanks to ASPLinux [#21115]
* Wed Aug 21 2002 - mmj@suse.de
- Added a patch to exit when regular user tries to flush routes or
  addresses. [#16000]
* Sun Aug 18 2002 - ro@suse.de
- added ghostscript-x11-packages to neededforbuild (for gs)
* Mon Apr 08 2002 - postadal@suse.cz
- updated to ss020116
  * added several utilities several utilities: ss, nstat, ifstat,
  rtacct, arpd and module tcp_diag
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Tue Jan 29 2002 - vinil@suse.cz
- /usr/lib -> %%_libdir
* Sun Jan 20 2002 - vinil@suse.cz
- new version ss010824
- spec file cleanup
* Mon Nov 19 2001 - bjacke@suse.de
- move ip to /sbin
- add iproute2 config files to /etc/
* Wed Oct 10 2001 - stepan@suse.de
- fix compilation on ia64
* Tue Sep 18 2001 - pthomas@suse.de
- Correct spelling in libnetlink.3
- Add both German and English descriptions for libnlink
* Mon Aug 27 2001 - kukuk@suse.de
- Fix compiling on SPARC
* Tue Aug 21 2001 - vinil@suse.cz
- new version ss010803
- get rid of kernel 2.2 patches
* Thu Jul 26 2001 - kukuk@suse.de
- add glib to needed for build
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Wed Jun 27 2001 - ro@suse.de
- ETH_P_ECHO is apparently no longer defined
* Thu Mar 08 2001 - uli@suse.de
- added xshared to neededforbuild
* Mon Mar 05 2001 - kukuk@suse.de
- Remove bogus check for kernel header
* Fri Dec 01 2000 - kukuk@suse.de
- Update to iproute2-2.2.4-now-ss001007 to fix compile problems
  with new kernel and glibc
* Mon Aug 28 2000 - ak@suse.de
- fix permissions
- fix advmss/mtu confusion between 2.2 and 2.4 (advmss now works with 2.2
  kernels and is always enabled)
- add a new subrpm for libnetlink
- add libnetlink man page
* Tue Jul 04 2000 - mha@suse.de
- new version (2.2.4-now-ss000305)
- new README.SuSE
- use ps2pdf instead of pdflatex, because the latter produces
  unusable pdf files for some reason
* Thu Jun 01 2000 - vinil@suse.cz
- documentation enhancement
* Fri May 26 2000 - vinil@suse.cz
- new version (ss000225)
- buildroot added
- sorted in group
* Thu Feb 17 2000 - mha@suse.de
- new version (ss991023)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 22 1999 - mha@suse.de
- new version
- renamed package iproute->iproute2, because that's how the author
  calls it
* Tue Jul 13 1999 - ro@suse.de
- added psutils to neededforbuild
* Sun Jul 11 1999 - mha@suse.de
- new package: iproute (tools for using the advanced routing options
  in kernel 2.2)
